Bug 1173783 - mysql connector crash (bad malloc, memory allocation)
Summary: mysql connector crash (bad malloc, memory allocation)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-connector-odbc
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Dorňák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-12 23:09 UTC by Sam Varshavchik
Modified: 2015-06-21 00:13 UTC (History)
4 users (show)

Fixed In Version: mysql-connector-odbc-5.3.2-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 00:13:38 UTC
Type: Bug


Attachments (Terms of Use)
Bug fix. (269 bytes, text/plain)
2014-12-12 23:09 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2014-12-12 23:09:59 UTC
Created attachment 967913 [details]
Bug fix.

Description of problem:

The ODBC version of the mysql connector is completely broken.

This has already been reported to Oracle:

http://bugs.mysql.com/bug.php?id=75196

Typically, it takes them about a year, to fix things like this.

Attaching a patch that fixes the bug to me.

Comment 1 timp 2015-03-26 12:12:37 UTC
(In reply to Sam Varshavchik from comment #0)
> Created attachment 967913 [details]
> Bug fix.
> 
> Description of problem:
> 
> The ODBC version of the mysql connector is completely broken.
> 
> This has already been reported to Oracle:
> 
> http://bugs.mysql.com/bug.php?id=75196
> 
> Typically, it takes them about a year, to fix things like this.
> 
> Attaching a patch that fixes the bug to me.

Wow, thank you very much, Sam!
mysql-connector-odbc now works with mariadb10 without crash!
Thanks a lot!

Comment 2 Fedora Update System 2015-06-09 18:47:06 UTC
mysql-connector-odbc-5.3.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mysql-connector-odbc-5.3.2-3.fc21

Comment 3 Fedora Update System 2015-06-09 19:15:20 UTC
mysql-connector-odbc-5.3.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mysql-connector-odbc-5.3.4-2.fc22

Comment 4 Sam Varshavchik 2015-06-09 21:04:32 UTC
The patch is wrong.

It's not just the null check, free() must be used instead of x_free(). The pointer is allocated with malloc(), and must be disposed of with free(), not x_free(), as my patch does.

Comment 5 Fedora Update System 2015-06-10 07:53:54 UTC
mysql-connector-odbc-5.3.4-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mysql-connector-odbc-5.3.4-3.fc22

Comment 6 Fedora Update System 2015-06-10 07:56:16 UTC
mysql-connector-odbc-5.3.2-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mysql-connector-odbc-5.3.2-4.fc21

Comment 7 Fedora Update System 2015-06-11 18:33:00 UTC
Package mysql-connector-odbc-5.3.2-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mysql-connector-odbc-5.3.2-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9763/mysql-connector-odbc-5.3.2-4.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-06-13 06:38:06 UTC
mysql-connector-odbc-5.3.4-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-21 00:13:38 UTC
mysql-connector-odbc-5.3.2-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.